Subject: [Sipping] comments on draft-schulzrinne-sipping-emergency-arch

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Mon, 1 Mar 2004 02:23:23 -0000

In general, I am happy with this draft, but in reading it, I did have a few specific comments.

1)	Section 3 (Terminology). I am confused here, and in the rest of the document, about the distinction between ECC and PSAP. I think the issue here is that as defined by the associated text, these are actually different concepts in some countries, yet the text goes on to say that in USA, PSAP is the ECC. Maybe we need to clarify.

2)	Section 5.2. Mobile systems, possible in conjunction with the cell site location, may also transmit mobile country code and mobile network code of the host network. This MCC and MNC in itself does constitute location information, in that it tells that the user (with border constraints) is in a particular country) - which may be sufficient itself for determining the ECC to be used.

3)	Section 5.3. Somewhere around here, for any particular emergency call, we need to identify that it is possible to have multiple elements of location information generated by different entities involved in the call (e.g. terminal generated, outbound proxy generated, etc.). We need a statement that each location can be added to the call information, and that one does not overwrite another. It is up to the ECC to decide which (if any) location it wishes to believe, possibly in association with any location from the end user received via the media path.

4)	Section 5.4. Where information is delivered later, do we need an indicator within the INVITE that such information may be available later in the call? What is the mechanism for providing information later in the call (push or pull), i.e. is additional information just sent later in the dialog in another request, or does the location gathering entity indicate the availability of new information which can then be fetched.

5)	Section 7. This section seems to assume sips. As this is apparently a hop-by-hop mechanism, what is wrong with depending on any hop by hop security mechanism, e.g. IPsec - why does it have to be SIPs.

6)	Section 9. In addition to the generic mechanism mentioned here, there may be access transport specific mechanisms for downloading this information to the UE. For example, a 3GPP phone from release 5 onwards can have this information downloaded from visited network entities at network registration time. The existence of these mechanisms should be acknowledged in the document at this point.

regards

Keith

Keith Drage
Lucent Technologies
[email-masked]
tel: +44 1793 776249

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP